Loading...
Searching...
No Matches
irr::ITimer Class Referenceabstract

Interface for getting and manipulating the virtual time. More...

`#include <ITimer.h>`

Inheritance diagram for irr::ITimer:

## Classes

struct | RealTimeDate

## Public Types

enum | EWeekday { EWD_SUNDAY =0 , EWD_MONDAY , EWD_TUESDAY , EWD_WEDNESDAY , EWD_THURSDAY , EWD_FRIDAY , EWD_SATURDAY }

## Public Member Functions

virtual u32 | getRealTime () const =0
| Returns current real time in milliseconds of the system.
virtual RealTimeDate | getRealTimeAndDate () const =0
virtual f32 | getSpeed () const =0
| Returns current speed of the timer.
virtual u32 | getTime () const =0
| Returns current virtual time in milliseconds.
virtual bool | isStopped () const =0
| Returns if the virtual timer is currently stopped.
virtual void | setSpeed (f32 speed=1.0f)=0
| Sets the speed of the timer.
virtual void | setTime (u32 time)=0
| sets current virtual time
virtual void | start ()=0
| Starts the virtual timer.
virtual void | stop ()=0
| Stops the virtual timer.
virtual void | tick ()=0
| Advances the virtual time.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for getting and manipulating the virtual time.

Definition at line 14 of file ITimer.h.

## Member Enumeration Documentation

## EWeekday

enum irr::ITimer::EWeekday

Enumerator
EWD_SUNDAY |
EWD_MONDAY |
EWD_TUESDAY |
EWD_WEDNESDAY |
EWD_THURSDAY |
EWD_FRIDAY |
EWD_SATURDAY |

Definition at line 24 of file ITimer.h.

## Member Function Documentation

## getRealTime()

virtual u32 irr::ITimer::getRealTime | ( |  | ) | const

pure virtual

Returns current real time in milliseconds of the system.

This value does not start with 0 when the application starts. For example in one implementation the value returned could be the amount of milliseconds which have elapsed since the system was started.

## getRealTimeAndDate()

virtual RealTimeDate irr::ITimer::getRealTimeAndDate | ( |  | ) | const

pure virtual

## getSpeed()

virtual f32 irr::ITimer::getSpeed | ( |  | ) | const

pure virtual

Returns current speed of the timer.

The speed is the factor with which the time is running faster or slower then the real system time.

## getTime()

virtual u32 irr::ITimer::getTime | ( |  | ) | const

pure virtual

Returns current virtual time in milliseconds.

This value starts with 0 and can be manipulated using setTime(), stopTimer(), startTimer(), etc. This value depends on the set speed of the timer if the timer is stopped, etc. If you need the system time, use getRealTime()

## isStopped()

virtual bool irr::ITimer::isStopped | ( |  | ) | const

pure virtual

Returns if the virtual timer is currently stopped.

## setSpeed()

virtual void irr::ITimer::setSpeed | ( | f32 | speed = 1.0f | ) |

pure virtual

Sets the speed of the timer.

The speed is the factor with which the time is running faster or slower then the real system time.

## setTime()

virtual void irr::ITimer::setTime | ( | u32 | time | ) |

pure virtual

sets current virtual time

## start()

virtual void irr::ITimer::start | ( |  | ) |

pure virtual

Starts the virtual timer.

The timer is reference counted, which means everything which calls stop() will also have to call start(), otherwise the timer may not start/stop correctly again.

## stop()

virtual void irr::ITimer::stop | ( |  | ) |

pure virtual

Stops the virtual timer.

The timer is reference counted, which means everything which calls stop() will also have to call start(), otherwise the timer may not start/stop correctly again.

## tick()

virtual void irr::ITimer::tick | ( |  | ) |

pure virtual

Advances the virtual time.

Makes the virtual timer update the time value based on the real time. This is called automatically when calling IrrlichtDevice::run(), but you can call it manually if you don't use this method.

The documentation for this class was generated from the following file:

- ITimer.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0